\version "2.19.35"

% contrinuted by harm6
% after an idea by Nathan
% see: http://lists.gnu.org/archive/html/lilypond-user/2012-07/msg00036.html
% thanks to Mark Knoop

%{
hauptStart = \markup {
  \path #0.25 #'((moveto 0 0)
                 (lineto 0 -2)
                 (moveto 0 -1)
                 (lineto 1 -1)
                 (moveto 1 0)
                 (lineto 1 -2)
                 (moveto 1 0)
                 (lineto 1.8 0))
}

nebenStart = \markup {
  \path #0.25 #'((moveto 0 -2)
                 (lineto 0 0)
                 (lineto 1 -2)
                 (lineto 1 0)
                 (lineto 1.8 0))
}

stimmeEnd = \markup {
  \path #0.25 #'((moveto 0 0)
                 (lineto 0.8 0)
                 (lineto 0.8 -0.8))
}

klammerStart = \markup {
  \path #0.25 #'((moveto 0 -0.8)
                 (lineto 0 0)
                 (lineto 0.8 0))
}

hauptRhythmus = \markup {
  \path #0.25 #'((moveto 0 -2)
		 (lineto 0 0)
		 (curveto 0 0  2.3 -0.6  0 -1.2)
		 (lineto 1.2 -2)
		 (moveto 1.2 0)
                 (lineto 1.2 -2)
                 (moveto 1.2 -1)
                 (lineto 2.2 -1)
                 (moveto 2.2 0)
                 (lineto 2.2 -2)
                 (moveto 2.2 0)
                 (lineto 3.1 0))
}
%}

% %{
hauptStart = \markup\right-align{
  % \hspace #-2.0
  \path #0.25 #'((moveto 0 2)
                 (lineto 0 0)
                 (moveto 0 1)
                 (lineto 1 1)
                 (moveto 1 2)
                 (lineto 1 0)
                 (moveto 1 2)
                 (lineto 1.8 2))
}

nebenStart = \markup\right-align{
  % \hspace #-2.0
  \path #0.25 #'((moveto 0 0)
                 (lineto 0 2)
                 (lineto 1 0)
                 (lineto 1 2)
                 (lineto 1.8 2))
}

stimmeEnd = \markup\left-align{
    \hspace #0.4
    \path #0.25 #'((moveto 0 2)
                 (lineto 0.8 2)
                 (lineto 0.8 1.2))
}

stimmeEndInverted = \markup\left-align{
    \hspace #0.4
    \path #0.25 #'((moveto 0 -2)
                 (lineto 0.8 -2)
                 (lineto 0.8 -1.2))
}

klammerStart = \markup\right-align{
  % \hspace #-1.2
  \path #0.25 #'((moveto 0 1.2)
                 (lineto 0 2)
                 (lineto 0.8 2))
}

hauptRhythmus = \markup\right-align{
  % \hspace #-1.5
  \path #0.25 #'((moveto 0 0)
		 (lineto 0 2)
		 (curveto 0 2  2.3 1.4  0 0.7)
		 (lineto 1.2 0)
		 (moveto 1.2 2)
                 (lineto 1.2 0)
                 (moveto 1.2 1)
                 (lineto 2.2 1)
                 (moveto 2.2 2)
                 (lineto 2.2 0)
                 (moveto 2.2 2)
                 (lineto 3.1 2))
}
% %}


stimmeStart =
#(define-music-function (start end style) (markup? markup? symbol?)
#{
    <>
        -\tweak spanner-id "hauptstimme"
        -\tweak style $style
        -\tweak avoid-slur #'inside
        -\tweak outside-staff-priority ##f
        -\tweak bound-details.left.text $start
        -\tweak bound-details.right.text $end
        -\tweak bound-details.left.padding #-0.5
        -\tweak bound-details.right.padding #-0.6
        -\tweak bound-details.left-broken.text ##f
        -\tweak bound-details.right-broken.text ##f
        -\tweak bound-details.left.attach-dir #CENTER
        \startTextSpan
#})

hauptstimmeStart = \stimmeStart \hauptStart \stimmeEnd #'none
nebenstimmeStart = \stimmeStart \nebenStart \stimmeEnd #'none
klammerstimmeStart = \stimmeStart \klammerStart \stimmeEnd #'none
hauptrhythmusStart = \stimmeStart \hauptRhythmus \stimmeEnd #'none
hauptrhythmusStartSehr = { \once \override TextSpanner.minimum-length = #17 \stimmeStart \markup{\hauptRhythmus sehr rhythmisch} \stimmeEnd #'none }
hauptrhythmusStartSpan = \stimmeStart \hauptRhythmus \stimmeEnd #'dashed-line
hauptrhythmusStartSehrSpan = { \once \override TextSpanner.minimum-length = #17 \stimmeStart \markup{\hauptRhythmus sehr rhythmisch} \stimmeEnd #'dashed-line }

HS = \hauptstimmeStart
NS = \nebenstimmeStart
KS = \klammerstimmeStart
HR = \hauptrhythmusStart
HRspan = \hauptrhythmusStartSpan
HRsehr = \hauptrhythmusStartSehr
HRspansehr = \hauptrhythmusStartSehrSpan
ES = -\tweak spanner-id "hauptstimme" \stopTextSpan

PHS = \markup\upright\concat{( \hauptStart )}
PNS = \markup\upright\concat{( \nebenStart )}
