#!/usr/bin/perl

$skip = 0;
$skip_line = -1;
while (<>) {
# print "skip = $skip; now consider $_\n";
  if ($skip > 0) {
    $skip -= 1;
  } elsif ( /programming error: Grob direction requested while calculation in progress./ ) {
    $skip = 1;
  } elsif ( /warning: (cannot have note heads and rests together on a stem|rhythmic head is not part of a rhythmic column)/ ) {
  } elsif ( /^ *cannot have note heads and rests together on a stem/ ) {
  } elsif ( /programming error: No spacing entry from Item to `custos'/ ) {
    $skip = 2;
  } elsif ( /warning: Barcheck failed got 241 expect/ ) {   # Adagio
    $skip = 2;
  } elsif ( /warning: Barcheck failed got 481 expect/ ) {   # Rondo
    $skip = 2;
  } elsif ( /warning: Barcheck failed got 710 expect/ ) {   # Rondo
    $skip = 2;
  } elsif ( /programming error: insane spring distance requested, ignoring it/ ) {
    $skip = 2;
  } elsif ( /programming error: insane spring min_distance requested, ignoring it/ ) {
    $skip = 2;
  } elsif ( /programming error: insane spring constant/ ) {
    $skip = 2;
  } elsif ( /warning: forced break was overridden by some other event, should you be using bar checks?/ ) {
    $skip = 1;
  } elsif ( /ly:([0-9]+):.* warning: adding note head to incompatible stem \(type = 1\/[14]\)/ ) {
    $skip = 2;
    $skip_line = $1;
  } elsif ( /ly:([0-9]+):.* warning: maybe input should specify polyphonic voices/ ) {
    if ($1 == $skip_line) {
      $skip = 2;
      $skip_line = -1;
    } else {
      print $_;
    }

  } else {
    print $_;
  }
}
